%define         realname tclxml
%define         tclxmldirname  Tclxml%{version}

Summary:        XML parsing library for the Tcl scripting language
Name:           tcl-%{realname}
Version:        3.3.1
Release:        %mkrel 3
License:        BSD
Group:          System/Libraries
# https://tclxml.sourceforge.net/
URL:            https://github.com/flightaware/TclXML

Source0:        https://github.com/flightaware/TclXML/archive/v%{version}/TclXML-%{version}.tar.gz

Patch0:         tclxml-3.2-sgmlparser.patch
Patch1:         tclxml-3.2-mga-security.patch
Patch2:         0001-Fix-Wimplicit-function-declaration.patch
Patch3:         tclxml-3.3.1-funcPointer.patch

BuildRequires:  pkgconfig(tcl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)

Provides:       tclxml = %{version}-%{release}
Provides:       tcldom = %{version}-%{release}
Provides:       tclxslt = %{version}-%{release}
Provides:       tcl-tclxml-gui = %{version}-%{release}
Requires:       tcl
Requires:       tcl-tcllib

%description
TclXML is a package that provides XML, DOM, and XSLT parsing for the
Tcl scripting language.

%package devel
Summary:   Development files for the tclxml packages
Group:     System/Libraries
Requires:  %{name} = %{version}-%{release}
Provides:  tcldom-devel = %{version}-%{release}
Provides:  tclxml-devel = %{version}-%{release}

%description devel
Development header files for the tclxml packages.  This includes all of the
header files for the tclxml, tcldom, and tclxslt packages


%prep
%autosetup -p1 -n TclXML-%{version}

# Fix a few spurious execute permissions
chmod -x ChangeLog doc/xsltsl/cmp.xsl *.c

# Clean up some DOS line endings
sed -i -e 's/\r//' doc/README.xml.in

%build
%configure --libdir=%{tcl_sitearch}
%make_build

%install
%make_install

chmod a-x %{buildroot}%{tcl_sitearch}/%{tclxmldirname}/*.a

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{tcl_sitearch}/%{tclxmldirname} > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tclxml.conf


%check
# The test suite fails to run properly from the build directory.
#make test


%files
%doc ANNOUNCE ChangeLog README.md
%license LICENSE
%dir %{tcl_sitearch}/%{tclxmldirname}
%{tcl_sitearch}/%{tclxmldirname}/*.so
%{tcl_sitearch}/%{tclxmldirname}/*.tcl
%{_sysconfdir}/ld.so.conf.d/tclxml.conf

%files devel
%{_includedir}/tclxml
%{tcl_sitearch}/TclxmlConfig.sh
%{tcl_sitearch}/%{tclxmldirname}/*.a


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 3.3.1-3.mga10
+ Revision: 2248602
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 3.3.1-2.mga10
+ Revision: 2165039
- rebuild for libxml2 2.13.6

* Fri Oct 25 2024 daviddavid <daviddavid> 3.3.1-1.mga10
+ Revision: 2111161
- new version: 3.3.1 (from https://github.com/flightaware/TclXML)

* Sat Mar 19 2022 umeabot <umeabot> 3.2-12.mga9
+ Revision: 1799455
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.2-11.mga8
+ Revision: 1517396
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.2-10.mga7
+ Revision: 1301338
- Mageia 7 Mass Rebuild

* Fri Apr 22 2016 eatdirt <eatdirt> 3.2-9.mga6
+ Revision: 1004644
- Fix missing and misplaced obsoletes to tcldom

* Thu Mar 31 2016 eatdirt <eatdirt> 3.2-8.mga6
+ Revision: 997139
- Fix install location to be in tcl

* Wed Mar 30 2016 eatdirt <eatdirt> 3.2-7.mga6
+ Revision: 996881
- Add ld configuration file for library path

* Wed Mar 30 2016 eatdirt <eatdirt> 3.2-6.mga6
+ Revision: 996818
- Fix non-standard install locations breaking TEA scripts

* Wed Feb 03 2016 umeabot <umeabot> 3.2-5.mga6
+ Revision: 934078
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2-4.mga5
+ Revision: 750791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-3.mga5
+ Revision: 689739
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.2-2.mga4
+ Revision: 538749
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 3.2-1.mga4
+ Revision: 490319
- imported package tcl-tclxml

